## PhoshThumbnail

PhoshThumbnail — An abstract class representing thumbnail image.

## Functions

void * | phosh_thumbnail_get_image ()
void | phosh_thumbnail_get_size ()
gboolean | phosh_thumbnail_is_ready ()

## Properties

gboolean | ready | Read

## Types and Values

#define | PHOSH_TYPE_THUMBNAIL
struct | PhoshThumbnailClass
| PhoshThumbnail

## Object Hierarchy

        GObject
        ╰── PhoshThumbnail
            ╰── PhoshToplevelThumbnail

## Description

## Functions

### phosh_thumbnail_get_image ()

    void *
    phosh_thumbnail_get_image (PhoshThumbnail *self);

### phosh_thumbnail_get_size ()

    void
    phosh_thumbnail_get_size (PhoshThumbnail *self,
                              guint *width,
                              guint *height,
                              guint *stride);

### phosh_thumbnail_is_ready ()

    gboolean
    phosh_thumbnail_is_ready (PhoshThumbnail *self);

## Types and Values

### PHOSH_TYPE_THUMBNAIL

    #define PHOSH_TYPE_THUMBNAIL (phosh_thumbnail_get_type())

### struct PhoshThumbnailClass

    struct PhoshThumbnailClass {
      GObjectClass parent_class;
      void*        (*get_image) (PhoshThumbnail *self);
      void         (*get_size)  (PhoshThumbnail *self, guint *width, guint *height, guint *stride);
      gboolean     (*is_ready)  (PhoshThumbnail *self);
      void         (*set_ready) (PhoshThumbnail *self, gboolean ready);
    };

#### Members

`get_image` () | Get the current image data |
`get_size` () | get current image size and stride |
`is_ready` () | wether the image is ready to be fetched |
`set_ready` () | set image as ready |

### PhoshThumbnail

    typedef struct _PhoshThumbnail PhoshThumbnail;

## Property Details

### The `“ready”` property

      “ready”                    gboolean

Whether the image data is ready to be used.

Owner: PhoshThumbnail

Flags: Read

Default value: FALSE